Actions

List actions

get

Retrieves actions for the authenticated owner

Authorizations
x-api-keystringRequired
Responses
chevron-right
200

Actions retrieved successfully

application/json
keystringRequired

The key of the action

Example: action-1
intentstringRequired

The intent associated with the action

Example: Summarize latest sales report
outputSchemaobject · json-schemaOptional

JSON Schema draft 7 schema for action output format

inputSchemaobject · json-schemaOptional

JSON Schema draft 7 schema for action input format

useDefaultMappingbooleanRequired

Whether default input/output mapping is used

Example: true
updatedAtstring · date-timeRequired

Action last update timestamp

Example: 2026-04-09T10:15:30.000Z
createdAtstring · date-timeRequired

Action creation timestamp

Example: 2026-04-01T08:00:00.000Z
get
/v1/actions

Run an action

post

Runs an action for the specified action key, customer integration ID and user ID

Authorizations
x-api-keystringRequired
Body
keystringRequired

The key of the action to run

Example: action-1
userIdstringRequired

The ID of the user who is running the action

Example: user-123
inputobjectOptional

Input parameters for the action. Required if action has input schema defined.

Example: {"name":"John Doe"}
passThroughobject[]Optional

Pass through data for the action run, e.g. credentials for the integrations used in the run

Example: [{"customerIntegrationId":"integration-1","headers":{"Authorization":"Bearer 1234567890"}}]
Responses
chevron-right
200

Action run successfully. Returns runId and output in the shape of action's output schema

application/json
runIdstring · uuidRequired

The ID of the run that was created

outputobjectRequired

The output of the action

post
/v1/actions/run

Last updated